// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package freeje_admin

import (
	context "context"
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// DIDClient is the client API for DID service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type DIDClient interface {
	// Получить список всех DID номеров по фильру, если фильтр пустой то будет выдан полный перечень
	ListProviders(ctx context.Context, in *api.SearchFilter, opts ...grpc.CallOption) (DID_ListProvidersClient, error)
	UpdateProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (*DidProvider, error)
	SyncProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (DID_SyncProviderClient, error)
	GetProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (*DidProvider, error)
	DeleteProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (*DidProvider, error)
	// Получить список всех DID номеров по фильру, если фильтр пустой то будет выдан полный перечень
	List(ctx context.Context, in *api.SearchFilter, opts ...grpc.CallOption) (DID_ListClient, error)
	// Получить текущие значения для DID
	Get(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*DidNumber, error)
	// Мониторить параметры конкретного DID
	Monitor(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (DID_MonitorClient, error)
	// Получить текущие значения для DID
	GetLog(ctx context.Context, in *api.SearchFilter, opts ...grpc.CallOption) (DID_GetLogClient, error)
	// Получить текущие значения для DidRequest
	GetRequest(ctx context.Context, in *DidRequest, opts ...grpc.CallOption) (*DidRequest, error)
	// Получить подтверждаюшие пользователя документы прикрепленные к номеру
	GetDidDocs(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (DID_GetDidDocsClient, error)
	// Добавить или обновить информацию по DID номеру
	// При добавлении uid генерируется и возвращается автоматически
	Update(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*DidNumber, error)
	// Получает список всех активных запросов и их последующих изменений
	GetRequests(ctx context.Context, in *api.RequestMode, opts ...grpc.CallOption) (DID_GetRequestsClient, error)
	// Отклоняет позьзовательский запрос на подключение номера
	Reject(ctx context.Context, in *DidRequest, opts ...grpc.CallOption) (*DidRequest, error)
	// Удаляет DID если это возможно
	// при удалении передается объект с единственным заполненным полем id
	Delete(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*api.Empty, error)
	// Ищет подходящую зону покрытия для номера
	AssumeCoverage(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*CoverageArea, error)
	// Назначает акаунту номер из пула, при этом не важно занят он кем лдибо или нет.
	//Если занят то будет отобран у текужего владельца.
	AssignDid(ctx context.Context, in *DidAssignment, opts ...grpc.CallOption) (*DidAssignment, error)
	//Получить список возможных номеров для покупки
	ListAvailableNumbers(ctx context.Context, in *DidListRequest, opts ...grpc.CallOption) (DID_ListAvailableNumbersClient, error)
	//Выполнить запрос на подключение номера
	ApplyDidRequest(ctx context.Context, in *DidRequest, opts ...grpc.CallOption) (*DidRequest, error)
}

type dIDClient struct {
	cc grpc.ClientConnInterface
}

func NewDIDClient(cc grpc.ClientConnInterface) DIDClient {
	return &dIDClient{cc}
}

func (c *dIDClient) ListProviders(ctx context.Context, in *api.SearchFilter, opts ...grpc.CallOption) (DID_ListProvidersClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[0], "/com.freeje.api.admin.DID/ListProviders", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDListProvidersClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_ListProvidersClient interface {
	Recv() (*DidProvider, error)
	grpc.ClientStream
}

type dIDListProvidersClient struct {
	grpc.ClientStream
}

func (x *dIDListProvidersClient) Recv() (*DidProvider, error) {
	m := new(DidProvider)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) UpdateProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (*DidProvider, error) {
	out := new(DidProvider)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/UpdateProvider", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) SyncProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (DID_SyncProviderClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[1], "/com.freeje.api.admin.DID/SyncProvider", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDSyncProviderClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_SyncProviderClient interface {
	Recv() (*api.Empty, error)
	grpc.ClientStream
}

type dIDSyncProviderClient struct {
	grpc.ClientStream
}

func (x *dIDSyncProviderClient) Recv() (*api.Empty, error) {
	m := new(api.Empty)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) GetProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (*DidProvider, error) {
	out := new(DidProvider)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/GetProvider", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) DeleteProvider(ctx context.Context, in *DidProvider, opts ...grpc.CallOption) (*DidProvider, error) {
	out := new(DidProvider)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/DeleteProvider", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) List(ctx context.Context, in *api.SearchFilter, opts ...grpc.CallOption) (DID_ListClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[2], "/com.freeje.api.admin.DID/List", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDListClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_ListClient interface {
	Recv() (*DidNumber, error)
	grpc.ClientStream
}

type dIDListClient struct {
	grpc.ClientStream
}

func (x *dIDListClient) Recv() (*DidNumber, error) {
	m := new(DidNumber)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) Get(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*DidNumber, error) {
	out := new(DidNumber)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) Monitor(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (DID_MonitorClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[3], "/com.freeje.api.admin.DID/Monitor", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDMonitorClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_MonitorClient interface {
	Recv() (*DidNumber, error)
	grpc.ClientStream
}

type dIDMonitorClient struct {
	grpc.ClientStream
}

func (x *dIDMonitorClient) Recv() (*DidNumber, error) {
	m := new(DidNumber)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) GetLog(ctx context.Context, in *api.SearchFilter, opts ...grpc.CallOption) (DID_GetLogClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[4], "/com.freeje.api.admin.DID/GetLog", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDGetLogClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_GetLogClient interface {
	Recv() (*DidLog, error)
	grpc.ClientStream
}

type dIDGetLogClient struct {
	grpc.ClientStream
}

func (x *dIDGetLogClient) Recv() (*DidLog, error) {
	m := new(DidLog)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) GetRequest(ctx context.Context, in *DidRequest, opts ...grpc.CallOption) (*DidRequest, error) {
	out := new(DidRequest)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/GetRequest", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) GetDidDocs(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (DID_GetDidDocsClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[5], "/com.freeje.api.admin.DID/GetDidDocs", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDGetDidDocsClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_GetDidDocsClient interface {
	Recv() (*DidDocument, error)
	grpc.ClientStream
}

type dIDGetDidDocsClient struct {
	grpc.ClientStream
}

func (x *dIDGetDidDocsClient) Recv() (*DidDocument, error) {
	m := new(DidDocument)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) Update(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*DidNumber, error) {
	out := new(DidNumber)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) GetRequests(ctx context.Context, in *api.RequestMode, opts ...grpc.CallOption) (DID_GetRequestsClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[6], "/com.freeje.api.admin.DID/GetRequests", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDGetRequestsClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_GetRequestsClient interface {
	Recv() (*DidRequest, error)
	grpc.ClientStream
}

type dIDGetRequestsClient struct {
	grpc.ClientStream
}

func (x *dIDGetRequestsClient) Recv() (*DidRequest, error) {
	m := new(DidRequest)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) Reject(ctx context.Context, in *DidRequest, opts ...grpc.CallOption) (*DidRequest, error) {
	out := new(DidRequest)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/Reject", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) Delete(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*api.Empty, error) {
	out := new(api.Empty)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) AssumeCoverage(ctx context.Context, in *DidNumber, opts ...grpc.CallOption) (*CoverageArea, error) {
	out := new(CoverageArea)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/AssumeCoverage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) AssignDid(ctx context.Context, in *DidAssignment, opts ...grpc.CallOption) (*DidAssignment, error) {
	out := new(DidAssignment)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/AssignDid", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dIDClient) ListAvailableNumbers(ctx context.Context, in *DidListRequest, opts ...grpc.CallOption) (DID_ListAvailableNumbersClient, error) {
	stream, err := c.cc.NewStream(ctx, &DID_ServiceDesc.Streams[7], "/com.freeje.api.admin.DID/ListAvailableNumbers", opts...)
	if err != nil {
		return nil, err
	}
	x := &dIDListAvailableNumbersClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DID_ListAvailableNumbersClient interface {
	Recv() (*DidNumber, error)
	grpc.ClientStream
}

type dIDListAvailableNumbersClient struct {
	grpc.ClientStream
}

func (x *dIDListAvailableNumbersClient) Recv() (*DidNumber, error) {
	m := new(DidNumber)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *dIDClient) ApplyDidRequest(ctx context.Context, in *DidRequest, opts ...grpc.CallOption) (*DidRequest, error) {
	out := new(DidRequest)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DID/ApplyDidRequest", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DIDServer is the server API for DID service.
// All implementations should embed UnimplementedDIDServer
// for forward compatibility
type DIDServer interface {
	// Получить список всех DID номеров по фильру, если фильтр пустой то будет выдан полный перечень
	ListProviders(*api.SearchFilter, DID_ListProvidersServer) error
	UpdateProvider(context.Context, *DidProvider) (*DidProvider, error)
	SyncProvider(*DidProvider, DID_SyncProviderServer) error
	GetProvider(context.Context, *DidProvider) (*DidProvider, error)
	DeleteProvider(context.Context, *DidProvider) (*DidProvider, error)
	// Получить список всех DID номеров по фильру, если фильтр пустой то будет выдан полный перечень
	List(*api.SearchFilter, DID_ListServer) error
	// Получить текущие значения для DID
	Get(context.Context, *DidNumber) (*DidNumber, error)
	// Мониторить параметры конкретного DID
	Monitor(*DidNumber, DID_MonitorServer) error
	// Получить текущие значения для DID
	GetLog(*api.SearchFilter, DID_GetLogServer) error
	// Получить текущие значения для DidRequest
	GetRequest(context.Context, *DidRequest) (*DidRequest, error)
	// Получить подтверждаюшие пользователя документы прикрепленные к номеру
	GetDidDocs(*DidNumber, DID_GetDidDocsServer) error
	// Добавить или обновить информацию по DID номеру
	// При добавлении uid генерируется и возвращается автоматически
	Update(context.Context, *DidNumber) (*DidNumber, error)
	// Получает список всех активных запросов и их последующих изменений
	GetRequests(*api.RequestMode, DID_GetRequestsServer) error
	// Отклоняет позьзовательский запрос на подключение номера
	Reject(context.Context, *DidRequest) (*DidRequest, error)
	// Удаляет DID если это возможно
	// при удалении передается объект с единственным заполненным полем id
	Delete(context.Context, *DidNumber) (*api.Empty, error)
	// Ищет подходящую зону покрытия для номера
	AssumeCoverage(context.Context, *DidNumber) (*CoverageArea, error)
	// Назначает акаунту номер из пула, при этом не важно занят он кем лдибо или нет.
	//Если занят то будет отобран у текужего владельца.
	AssignDid(context.Context, *DidAssignment) (*DidAssignment, error)
	//Получить список возможных номеров для покупки
	ListAvailableNumbers(*DidListRequest, DID_ListAvailableNumbersServer) error
	//Выполнить запрос на подключение номера
	ApplyDidRequest(context.Context, *DidRequest) (*DidRequest, error)
}

// UnimplementedDIDServer should be embedded to have forward compatible implementations.
type UnimplementedDIDServer struct {
}

func (UnimplementedDIDServer) ListProviders(*api.SearchFilter, DID_ListProvidersServer) error {
	return status.Errorf(codes.Unimplemented, "method ListProviders not implemented")
}
func (UnimplementedDIDServer) UpdateProvider(context.Context, *DidProvider) (*DidProvider, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateProvider not implemented")
}
func (UnimplementedDIDServer) SyncProvider(*DidProvider, DID_SyncProviderServer) error {
	return status.Errorf(codes.Unimplemented, "method SyncProvider not implemented")
}
func (UnimplementedDIDServer) GetProvider(context.Context, *DidProvider) (*DidProvider, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProvider not implemented")
}
func (UnimplementedDIDServer) DeleteProvider(context.Context, *DidProvider) (*DidProvider, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteProvider not implemented")
}
func (UnimplementedDIDServer) List(*api.SearchFilter, DID_ListServer) error {
	return status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (UnimplementedDIDServer) Get(context.Context, *DidNumber) (*DidNumber, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}
func (UnimplementedDIDServer) Monitor(*DidNumber, DID_MonitorServer) error {
	return status.Errorf(codes.Unimplemented, "method Monitor not implemented")
}
func (UnimplementedDIDServer) GetLog(*api.SearchFilter, DID_GetLogServer) error {
	return status.Errorf(codes.Unimplemented, "method GetLog not implemented")
}
func (UnimplementedDIDServer) GetRequest(context.Context, *DidRequest) (*DidRequest, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetRequest not implemented")
}
func (UnimplementedDIDServer) GetDidDocs(*DidNumber, DID_GetDidDocsServer) error {
	return status.Errorf(codes.Unimplemented, "method GetDidDocs not implemented")
}
func (UnimplementedDIDServer) Update(context.Context, *DidNumber) (*DidNumber, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (UnimplementedDIDServer) GetRequests(*api.RequestMode, DID_GetRequestsServer) error {
	return status.Errorf(codes.Unimplemented, "method GetRequests not implemented")
}
func (UnimplementedDIDServer) Reject(context.Context, *DidRequest) (*DidRequest, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Reject not implemented")
}
func (UnimplementedDIDServer) Delete(context.Context, *DidNumber) (*api.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}
func (UnimplementedDIDServer) AssumeCoverage(context.Context, *DidNumber) (*CoverageArea, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AssumeCoverage not implemented")
}
func (UnimplementedDIDServer) AssignDid(context.Context, *DidAssignment) (*DidAssignment, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AssignDid not implemented")
}
func (UnimplementedDIDServer) ListAvailableNumbers(*DidListRequest, DID_ListAvailableNumbersServer) error {
	return status.Errorf(codes.Unimplemented, "method ListAvailableNumbers not implemented")
}
func (UnimplementedDIDServer) ApplyDidRequest(context.Context, *DidRequest) (*DidRequest, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ApplyDidRequest not implemented")
}

// UnsafeDIDServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to DIDServer will
// result in compilation errors.
type UnsafeDIDServer interface {
	mustEmbedUnimplementedDIDServer()
}

func RegisterDIDServer(s grpc.ServiceRegistrar, srv DIDServer) {
	s.RegisterService(&DID_ServiceDesc, srv)
}

func _DID_ListProviders_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(api.SearchFilter)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).ListProviders(m, &dIDListProvidersServer{stream})
}

type DID_ListProvidersServer interface {
	Send(*DidProvider) error
	grpc.ServerStream
}

type dIDListProvidersServer struct {
	grpc.ServerStream
}

func (x *dIDListProvidersServer) Send(m *DidProvider) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_UpdateProvider_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidProvider)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).UpdateProvider(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/UpdateProvider",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).UpdateProvider(ctx, req.(*DidProvider))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_SyncProvider_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(DidProvider)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).SyncProvider(m, &dIDSyncProviderServer{stream})
}

type DID_SyncProviderServer interface {
	Send(*api.Empty) error
	grpc.ServerStream
}

type dIDSyncProviderServer struct {
	grpc.ServerStream
}

func (x *dIDSyncProviderServer) Send(m *api.Empty) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_GetProvider_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidProvider)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).GetProvider(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/GetProvider",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).GetProvider(ctx, req.(*DidProvider))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_DeleteProvider_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidProvider)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).DeleteProvider(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/DeleteProvider",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).DeleteProvider(ctx, req.(*DidProvider))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_List_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(api.SearchFilter)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).List(m, &dIDListServer{stream})
}

type DID_ListServer interface {
	Send(*DidNumber) error
	grpc.ServerStream
}

type dIDListServer struct {
	grpc.ServerStream
}

func (x *dIDListServer) Send(m *DidNumber) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidNumber)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).Get(ctx, req.(*DidNumber))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_Monitor_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(DidNumber)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).Monitor(m, &dIDMonitorServer{stream})
}

type DID_MonitorServer interface {
	Send(*DidNumber) error
	grpc.ServerStream
}

type dIDMonitorServer struct {
	grpc.ServerStream
}

func (x *dIDMonitorServer) Send(m *DidNumber) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_GetLog_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(api.SearchFilter)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).GetLog(m, &dIDGetLogServer{stream})
}

type DID_GetLogServer interface {
	Send(*DidLog) error
	grpc.ServerStream
}

type dIDGetLogServer struct {
	grpc.ServerStream
}

func (x *dIDGetLogServer) Send(m *DidLog) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_GetRequest_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).GetRequest(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/GetRequest",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).GetRequest(ctx, req.(*DidRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_GetDidDocs_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(DidNumber)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).GetDidDocs(m, &dIDGetDidDocsServer{stream})
}

type DID_GetDidDocsServer interface {
	Send(*DidDocument) error
	grpc.ServerStream
}

type dIDGetDidDocsServer struct {
	grpc.ServerStream
}

func (x *dIDGetDidDocsServer) Send(m *DidDocument) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidNumber)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).Update(ctx, req.(*DidNumber))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_GetRequests_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(api.RequestMode)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).GetRequests(m, &dIDGetRequestsServer{stream})
}

type DID_GetRequestsServer interface {
	Send(*DidRequest) error
	grpc.ServerStream
}

type dIDGetRequestsServer struct {
	grpc.ServerStream
}

func (x *dIDGetRequestsServer) Send(m *DidRequest) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_Reject_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).Reject(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/Reject",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).Reject(ctx, req.(*DidRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidNumber)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).Delete(ctx, req.(*DidNumber))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_AssumeCoverage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidNumber)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).AssumeCoverage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/AssumeCoverage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).AssumeCoverage(ctx, req.(*DidNumber))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_AssignDid_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidAssignment)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).AssignDid(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/AssignDid",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).AssignDid(ctx, req.(*DidAssignment))
	}
	return interceptor(ctx, in, info, handler)
}

func _DID_ListAvailableNumbers_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(DidListRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DIDServer).ListAvailableNumbers(m, &dIDListAvailableNumbersServer{stream})
}

type DID_ListAvailableNumbersServer interface {
	Send(*DidNumber) error
	grpc.ServerStream
}

type dIDListAvailableNumbersServer struct {
	grpc.ServerStream
}

func (x *dIDListAvailableNumbersServer) Send(m *DidNumber) error {
	return x.ServerStream.SendMsg(m)
}

func _DID_ApplyDidRequest_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DIDServer).ApplyDidRequest(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DID/ApplyDidRequest",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DIDServer).ApplyDidRequest(ctx, req.(*DidRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// DID_ServiceDesc is the grpc.ServiceDesc for DID service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var DID_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "com.freeje.api.admin.DID",
	HandlerType: (*DIDServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "UpdateProvider",
			Handler:    _DID_UpdateProvider_Handler,
		},
		{
			MethodName: "GetProvider",
			Handler:    _DID_GetProvider_Handler,
		},
		{
			MethodName: "DeleteProvider",
			Handler:    _DID_DeleteProvider_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _DID_Get_Handler,
		},
		{
			MethodName: "GetRequest",
			Handler:    _DID_GetRequest_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _DID_Update_Handler,
		},
		{
			MethodName: "Reject",
			Handler:    _DID_Reject_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _DID_Delete_Handler,
		},
		{
			MethodName: "AssumeCoverage",
			Handler:    _DID_AssumeCoverage_Handler,
		},
		{
			MethodName: "AssignDid",
			Handler:    _DID_AssignDid_Handler,
		},
		{
			MethodName: "ApplyDidRequest",
			Handler:    _DID_ApplyDidRequest_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "ListProviders",
			Handler:       _DID_ListProviders_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "SyncProvider",
			Handler:       _DID_SyncProvider_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "List",
			Handler:       _DID_List_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "Monitor",
			Handler:       _DID_Monitor_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "GetLog",
			Handler:       _DID_GetLog_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "GetDidDocs",
			Handler:       _DID_GetDidDocs_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "GetRequests",
			Handler:       _DID_GetRequests_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "ListAvailableNumbers",
			Handler:       _DID_ListAvailableNumbers_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "admin/did.proto",
}

// DidPriceManagerClient is the client API for DidPriceManager service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type DidPriceManagerClient interface {
	List(ctx context.Context, in *api.RequestMode, opts ...grpc.CallOption) (DidPriceManager_ListClient, error)
	Update(ctx context.Context, in *DidPriceOverride, opts ...grpc.CallOption) (*DidPriceOverride, error)
	Delete(ctx context.Context, in *DidPriceOverride, opts ...grpc.CallOption) (*DidPriceOverride, error)
	UpdatePrefix(ctx context.Context, in *DidPrefixPrice, opts ...grpc.CallOption) (*DidPrefixPrice, error)
	DeletePrefix(ctx context.Context, in *DidPrefixPrice, opts ...grpc.CallOption) (*DidPrefixPrice, error)
	ListPrefix(ctx context.Context, in *DidPriceOverride, opts ...grpc.CallOption) (DidPriceManager_ListPrefixClient, error)
}

type didPriceManagerClient struct {
	cc grpc.ClientConnInterface
}

func NewDidPriceManagerClient(cc grpc.ClientConnInterface) DidPriceManagerClient {
	return &didPriceManagerClient{cc}
}

func (c *didPriceManagerClient) List(ctx context.Context, in *api.RequestMode, opts ...grpc.CallOption) (DidPriceManager_ListClient, error) {
	stream, err := c.cc.NewStream(ctx, &DidPriceManager_ServiceDesc.Streams[0], "/com.freeje.api.admin.DidPriceManager/List", opts...)
	if err != nil {
		return nil, err
	}
	x := &didPriceManagerListClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DidPriceManager_ListClient interface {
	Recv() (*DidPriceOverride, error)
	grpc.ClientStream
}

type didPriceManagerListClient struct {
	grpc.ClientStream
}

func (x *didPriceManagerListClient) Recv() (*DidPriceOverride, error) {
	m := new(DidPriceOverride)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *didPriceManagerClient) Update(ctx context.Context, in *DidPriceOverride, opts ...grpc.CallOption) (*DidPriceOverride, error) {
	out := new(DidPriceOverride)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DidPriceManager/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *didPriceManagerClient) Delete(ctx context.Context, in *DidPriceOverride, opts ...grpc.CallOption) (*DidPriceOverride, error) {
	out := new(DidPriceOverride)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DidPriceManager/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *didPriceManagerClient) UpdatePrefix(ctx context.Context, in *DidPrefixPrice, opts ...grpc.CallOption) (*DidPrefixPrice, error) {
	out := new(DidPrefixPrice)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DidPriceManager/UpdatePrefix", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *didPriceManagerClient) DeletePrefix(ctx context.Context, in *DidPrefixPrice, opts ...grpc.CallOption) (*DidPrefixPrice, error) {
	out := new(DidPrefixPrice)
	err := c.cc.Invoke(ctx, "/com.freeje.api.admin.DidPriceManager/DeletePrefix", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *didPriceManagerClient) ListPrefix(ctx context.Context, in *DidPriceOverride, opts ...grpc.CallOption) (DidPriceManager_ListPrefixClient, error) {
	stream, err := c.cc.NewStream(ctx, &DidPriceManager_ServiceDesc.Streams[1], "/com.freeje.api.admin.DidPriceManager/ListPrefix", opts...)
	if err != nil {
		return nil, err
	}
	x := &didPriceManagerListPrefixClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type DidPriceManager_ListPrefixClient interface {
	Recv() (*DidPrefixPrice, error)
	grpc.ClientStream
}

type didPriceManagerListPrefixClient struct {
	grpc.ClientStream
}

func (x *didPriceManagerListPrefixClient) Recv() (*DidPrefixPrice, error) {
	m := new(DidPrefixPrice)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// DidPriceManagerServer is the server API for DidPriceManager service.
// All implementations should embed UnimplementedDidPriceManagerServer
// for forward compatibility
type DidPriceManagerServer interface {
	List(*api.RequestMode, DidPriceManager_ListServer) error
	Update(context.Context, *DidPriceOverride) (*DidPriceOverride, error)
	Delete(context.Context, *DidPriceOverride) (*DidPriceOverride, error)
	UpdatePrefix(context.Context, *DidPrefixPrice) (*DidPrefixPrice, error)
	DeletePrefix(context.Context, *DidPrefixPrice) (*DidPrefixPrice, error)
	ListPrefix(*DidPriceOverride, DidPriceManager_ListPrefixServer) error
}

// UnimplementedDidPriceManagerServer should be embedded to have forward compatible implementations.
type UnimplementedDidPriceManagerServer struct {
}

func (UnimplementedDidPriceManagerServer) List(*api.RequestMode, DidPriceManager_ListServer) error {
	return status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (UnimplementedDidPriceManagerServer) Update(context.Context, *DidPriceOverride) (*DidPriceOverride, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (UnimplementedDidPriceManagerServer) Delete(context.Context, *DidPriceOverride) (*DidPriceOverride, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}
func (UnimplementedDidPriceManagerServer) UpdatePrefix(context.Context, *DidPrefixPrice) (*DidPrefixPrice, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdatePrefix not implemented")
}
func (UnimplementedDidPriceManagerServer) DeletePrefix(context.Context, *DidPrefixPrice) (*DidPrefixPrice, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeletePrefix not implemented")
}
func (UnimplementedDidPriceManagerServer) ListPrefix(*DidPriceOverride, DidPriceManager_ListPrefixServer) error {
	return status.Errorf(codes.Unimplemented, "method ListPrefix not implemented")
}

// UnsafeDidPriceManagerServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to DidPriceManagerServer will
// result in compilation errors.
type UnsafeDidPriceManagerServer interface {
	mustEmbedUnimplementedDidPriceManagerServer()
}

func RegisterDidPriceManagerServer(s grpc.ServiceRegistrar, srv DidPriceManagerServer) {
	s.RegisterService(&DidPriceManager_ServiceDesc, srv)
}

func _DidPriceManager_List_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(api.RequestMode)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DidPriceManagerServer).List(m, &didPriceManagerListServer{stream})
}

type DidPriceManager_ListServer interface {
	Send(*DidPriceOverride) error
	grpc.ServerStream
}

type didPriceManagerListServer struct {
	grpc.ServerStream
}

func (x *didPriceManagerListServer) Send(m *DidPriceOverride) error {
	return x.ServerStream.SendMsg(m)
}

func _DidPriceManager_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidPriceOverride)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DidPriceManagerServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DidPriceManager/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DidPriceManagerServer).Update(ctx, req.(*DidPriceOverride))
	}
	return interceptor(ctx, in, info, handler)
}

func _DidPriceManager_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidPriceOverride)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DidPriceManagerServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DidPriceManager/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DidPriceManagerServer).Delete(ctx, req.(*DidPriceOverride))
	}
	return interceptor(ctx, in, info, handler)
}

func _DidPriceManager_UpdatePrefix_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidPrefixPrice)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DidPriceManagerServer).UpdatePrefix(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DidPriceManager/UpdatePrefix",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DidPriceManagerServer).UpdatePrefix(ctx, req.(*DidPrefixPrice))
	}
	return interceptor(ctx, in, info, handler)
}

func _DidPriceManager_DeletePrefix_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DidPrefixPrice)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DidPriceManagerServer).DeletePrefix(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.freeje.api.admin.DidPriceManager/DeletePrefix",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DidPriceManagerServer).DeletePrefix(ctx, req.(*DidPrefixPrice))
	}
	return interceptor(ctx, in, info, handler)
}

func _DidPriceManager_ListPrefix_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(DidPriceOverride)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(DidPriceManagerServer).ListPrefix(m, &didPriceManagerListPrefixServer{stream})
}

type DidPriceManager_ListPrefixServer interface {
	Send(*DidPrefixPrice) error
	grpc.ServerStream
}

type didPriceManagerListPrefixServer struct {
	grpc.ServerStream
}

func (x *didPriceManagerListPrefixServer) Send(m *DidPrefixPrice) error {
	return x.ServerStream.SendMsg(m)
}

// DidPriceManager_ServiceDesc is the grpc.ServiceDesc for DidPriceManager service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var DidPriceManager_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "com.freeje.api.admin.DidPriceManager",
	HandlerType: (*DidPriceManagerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Update",
			Handler:    _DidPriceManager_Update_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _DidPriceManager_Delete_Handler,
		},
		{
			MethodName: "UpdatePrefix",
			Handler:    _DidPriceManager_UpdatePrefix_Handler,
		},
		{
			MethodName: "DeletePrefix",
			Handler:    _DidPriceManager_DeletePrefix_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "List",
			Handler:       _DidPriceManager_List_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "ListPrefix",
			Handler:       _DidPriceManager_ListPrefix_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "admin/did.proto",
}
